com.aispeech.dui.dds

## Class DdsConfigProxy

- java.lang.Object
- - com.aispeech.dui.dds.DdsConfigProxy

-     public class DdsConfigProxy
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DdsConfigProxy()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanConfig(java.lang.String configKey)`
    `DDSConfig` | `getDdsConfig()`
    `static DdsConfigProxy` | `getInstance()`
    `java.lang.String` | `getStringConfig(java.lang.String configKey)`
    `void` | `setDdsConfig(DDSConfig ddsConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DdsConfigProxy

          public DdsConfigProxy()

  - ### Method Detail

    - #### getInstance

          public static DdsConfigProxy getInstance()

    - #### getDdsConfig

          public DDSConfig getDdsConfig()

    - #### setDdsConfig

          public void setDdsConfig(DDSConfig ddsConfig)

    - #### getBooleanConfig

          public boolean getBooleanConfig(java.lang.String configKey)

    - #### getStringConfig

          public java.lang.String getStringConfig(java.lang.String configKey)